Problème de commande apt-get update [Résolu]

Signaler
Messages postés
72
Date d'inscription
lundi 24 décembre 2018
Statut
Membre
Dernière intervention
20 septembre 2020
-
Messages postés
35699
Date d'inscription
dimanche 7 novembre 2010
Statut
Contributeur
Dernière intervention
24 octobre 2020
-
Bonjour,
Je voudrais installer le package net-tools j'ai une erreur disant que la commande est introuvable, j'ai cherché sur le net et ils ont dis qu'il faut faire une mise à jour de la source des paquets dans les fichiers de configurations de l'OS à travers (apt-get install), mais cette dernière ne marche pas, je vous joins l'erreur rencontrée.


Je vous remercie par avance pour votre aide et explication de la stituation.


Cordialement.

6 réponses

Messages postés
35699
Date d'inscription
dimanche 7 novembre 2010
Statut
Contributeur
Dernière intervention
24 octobre 2020
5 564
Salut,

Affiches-nous le contenu du fichier
/etc/apt/sources.list
. Fais un copier/coller ici de la commande :
cat /etc/apt/sources.list


Messages postés
72
Date d'inscription
lundi 24 décembre 2018
Statut
Membre
Dernière intervention
20 septembre 2020

Bonjour,
Voilà le contenu du fichier sources.list.

Messages postés
35699
Date d'inscription
dimanche 7 novembre 2010
Statut
Contributeur
Dernière intervention
24 octobre 2020
5 564
Je t'avais demandé un copier/coller, pas une capture ;-(

Bon, il te faut ouvrir ledit fichier et y commenter (mettre un croisillon (#) devant) la ligne concernant le CD-ROM.
Et dé-commenter (enlever le croisillon) les 2 lignes qui suivent "Line commented out…"
Sauvegarder et lancer un
apt update
.
Messages postés
72
Date d'inscription
lundi 24 décembre 2018
Statut
Membre
Dernière intervention
20 septembre 2020

Bonjour,
merci pour ta réponse, j'ai fais ce qui vous m'avez di, résultat c'est qu'il n'affiche pas les messages concernant le CDMROM, mais la commande apt-get update me donne un résultat bizarre, je pense pas qu'il y a eu la mise à jour.

Capture jointe:

Cordialement.
Messages postés
35699
Date d'inscription
dimanche 7 novembre 2010
Statut
Contributeur
Dernière intervention
24 octobre 2020
5 564
On ne veut pas de capture !!!
Mais des copier/coller !

Rajoute cette ligne :
deb http://deb.debian.org/debian/ buster main

et dé-commentes l'avant dernière ligne, celle avec buster-updates
Messages postés
72
Date d'inscription
lundi 24 décembre 2018
Statut
Membre
Dernière intervention
20 septembre 2020

Bonjour,
Je suis désolé, je travaille sur machine virtuelle, je suis débutant j'ai pas pu faire copier coller.
J'ai essayé de se connecter à l'aide de putty mais j'ai pas réussi, je dois aussi voir le problème d'où provient.

J'ai fait ceci j'ai décommenté la ligne deb http://deb.debian.org/debian/ buster-updates main et j'ai rajouté dessus deb http://deb.debian.org/debian/ buster main.

Ça a réussi, et j'ai même installé le net-tools, j'ai vérifié à l'aide de la commande ifconfig qui a marché, pourriez-vous svp m'expliquer les lignes à quoi sert et pourquoi le rajout de la ligne que m'avez indiqué ça a marché, parce que auparavant j'ai décommenter les deux dernières lignes, mais aucune chose n'a été à jour ??


Merci pour votre réponse, j'indiquerai que c'est résolu juste après votre réponse.

Cordialement.
Messages postés
35699
Date d'inscription
dimanche 7 novembre 2010
Statut
Contributeur
Dernière intervention
24 octobre 2020
5 564
En fait dans ton
sources.list
du départ, lorsque tu as installé le système, il ne devait pas avoir accès à Internet. Donc comme il n'arrivait pas à se connecter, il a laissé l'accès au CD-ROM et commenté toutes les autres lignes. C'est d'ailleurs marqué en toutes lettres "Line commented out by installer because it failed to verify".

Pour pouvoir te connecter avec PuTTY, il faut que tu vérifies que
openssh-server
soit installé sur ta VM
Messages postés
72
Date d'inscription
lundi 24 décembre 2018
Statut
Membre
Dernière intervention
20 septembre 2020

Merci pour les explications, pourriez-vous svp m'expliquer une dernière chose, la ligne que vous m'aviez donner à ajouter c'est elle qui a fait que la mise à jour à la fin s'effectue, comment s'est marché, pourquoi les autres que j'ai décommenté n'ont pas marché ?
Messages postés
35699
Date d'inscription
dimanche 7 novembre 2010
Statut
Contributeur
Dernière intervention
24 octobre 2020
5 564
Les dépôts
security.debian
concernent les correctifs de sécurité liés à certains paquets seulement quand des failles sont découvertes et qu'il faut upgrader le/les paquet(s) concerné(s) rapidement, indépendamment des upgrades traditionnels.

Donc, s'il n'y a aucun correctif à appliquer, ben rien n'est fait.
Messages postés
35699
Date d'inscription
dimanche 7 novembre 2010
Statut
Contributeur
Dernière intervention
24 octobre 2020
5 564 >
Messages postés
35699
Date d'inscription
dimanche 7 novembre 2010
Statut
Contributeur
Dernière intervention
24 octobre 2020

Messages postés
72
Date d'inscription
lundi 24 décembre 2018
Statut
Membre
Dernière intervention
20 septembre 2020

Merci beaucoup pour votre aide, c'est résolu. Merci beaucoup beaucoup.

Cordialement.
Messages postés
35699
Date d'inscription
dimanche 7 novembre 2010
Statut
Contributeur
Dernière intervention
24 octobre 2020
5 564
De rien.

Bonne soirée.